FreeMat

- Main Page
- Related Pages

vtkSurfaceLICDefaultPainter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkSurfaceLICDefaultPainter is a vtkDefaultPainter replacement that inserts the vtkSurfaceLICPainter at the correct position in the painter chain.

To create an instance of class vtkSurfaceLICDefaultPainter, simply invoke its constructor as follows

      obj = vtkSurfaceLICDefaultPainter

# Methods

The class vtkSurfaceLICDefaultPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSurfaceLICDefaultPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSurfaceLICDefaultPainter = obj.NewInstance ()`
- `vtkSurfaceLICDefaultPainter = obj.SafeDownCast (vtkObject o)`
- `obj.SetSurfaceLICPainter (vtkSurfaceLICPainter )` - Get/Set the Surface LIC painter.
- `vtkSurfaceLICPainter = obj.GetSurfaceLICPainter ()` - Get/Set the Surface LIC painter.